Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044116
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajorhave not tried2020-05-20 08:452020-06-05 08:45
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision3c4ab4b5b455
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044116: API Change: Remove obsolete DB procedure and Java based Reset Accounting Old process based

DescriptionRemove DB procedure FACT_ACCT_RESET
Remove java class org.openbravo.erpCommon.ad_process.ResetAccountingProcess
Remove references from AD_TREENODE, AD_MENU, AD_PROCESS_PARA, AD_MODEL_OBJECT, AD_PROCESS,
Remove references in AD_PROCESS_ACCESS from Core, Retail and AWO Sample data
Remove modulescript ResetAccountingAccess.
ResetAccountingAccessData had a insert method which gives access to new Process Definition based Reset Accounting Access to all those roles that were having access to old java based reset accounting process.

The user's migrating from the old reset accounting process should manually configure the roles' access for the new process definition based Accounting Reset Process.

The risk is very low as the AD_PROCESS_ACCESS references in Core, Retail and AWO Sample data could be easily managed.
Steps To Reproduce-
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0044024 closedAtulOpenbravo Delete the 2 obsolete Reset Accounting implementations 

-  Notes
(0120337)
hgbot (developer)
2020-05-27 09:56

Repository: erp/devel/api-checks
Changeset: 3c4ab4b5b455c5df13f80309cd1c339a2e27d4c0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 20 10:34:12 2020 +0530
URL: http://code.openbravo.com/erp/devel/api-checks/rev/3c4ab4b5b455c5df13f80309cd1c339a2e27d4c0 [^]

Fixes BUG-44116:API Change: Remove obsolete DB procedure
based Reset Accounting Old process

**Removed DB procedure FACT_ACCT_RESET
**Removed references from AD_TREENODE, AD_MENU,
AD_PROCESS_PARA, AD_PROCESS,

---
M model/src-db/database/sourcedata/AD_MENU.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_PROCESS_PARA.xml
M model/src-db/database/sourcedata/AD_TREENODE.xml
R model/src-db/database/model/functions/FACT_ACCT_RESET.xml
---
(0120338)
hgbot (developer)
2020-05-27 09:56

Repository: erp/devel/api-checks
Changeset: 72d8a2726f7a736da674b65a6de3c336057c19be
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 20 10:39:20 2020 +0530
URL: http://code.openbravo.com/erp/devel/api-checks/rev/72d8a2726f7a736da674b65a6de3c336057c19be [^]

Related To BUG-44116:API Change: Remove obsolete
Java based Reset Accounting Old process

**Removed DB procedure FACT_ACCT_RESET
**Removed references from AD_TREENODE, AD_MENU,
AD_PROCESS_PARA, AD_MODEL_OBJECT, AD_PROCESS,

---
M model/src-db/database/sourcedata/AD_MENU.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_PROCESS_PARA.xml
M model/src-db/database/sourcedata/AD_TREENODE.xml
---
(0120339)
hgbot (developer)
2020-05-27 09:56

Repository: erp/devel/api-checks
Changeset: 61c06463ec50dbf9e4ac72c7a382ae4bc8947c76
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 27 13:24:59 2020 +0530
URL: http://code.openbravo.com/erp/devel/api-checks/rev/61c06463ec50dbf9e4ac72c7a382ae4bc8947c76 [^]

Related To BUG-0044116: API Change: Remove obsolete DB
procedure and Java based Reset Accounting Old process based

**Remove java class ResetAccountingProcess

---
M java/reference/java.japi.gz
---
(0120432)
hgbot (developer)
2020-05-28 18:47

Repository: erp/devel/api-checks
Changeset: e84508e3ebc26e29d3e408b142aa600da5191a33
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 28 22:15:30 2020 +0530
URL: http://code.openbravo.com/erp/devel/api-checks/rev/e84508e3ebc26e29d3e408b142aa600da5191a33 [^]

Related To BUG-44116:Remove references of obsolete
DB Procedure based Reset Accounting process

**Removed reference from AD_TREENODE, AD_MENU,
AD_PROCESS_PARA, AD_PROCESS
**Removed method org.openbravo.erpCommon.reference.
ActionButtonData.process175

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_MENU.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_PROCESS_PARA.xml
M model/src-db/database/sourcedata/AD_TREENODE.xml
---
(0120683)
vmromanos (developer)
2020-06-05 08:45

CI passed successfully

- Issue History
Date Modified Username Field Change
2020-05-20 08:45 AtulOpenbravo New Issue
2020-05-20 08:45 AtulOpenbravo Assigned To => platform
2020-05-20 08:45 AtulOpenbravo Modules => Core
2020-05-20 08:45 AtulOpenbravo Triggers an Emergency Pack => No
2020-05-20 08:46 AtulOpenbravo Assigned To platform => dmitry_mezentsev
2020-05-20 08:48 AtulOpenbravo Relationship added blocks 0044024
2020-05-22 12:20 dmitry_mezentsev Tag Attached: Approved
2020-05-27 04:53 AtulOpenbravo Status new => scheduled
2020-05-27 04:53 AtulOpenbravo Assigned To dmitry_mezentsev => AtulOpenbravo
2020-05-27 09:56 hgbot Checkin
2020-05-27 09:56 hgbot Note Added: 0120337
2020-05-27 09:56 hgbot Status scheduled => resolved
2020-05-27 09:56 hgbot Resolution open => fixed
2020-05-27 09:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/3c4ab4b5b455c5df13f80309cd1c339a2e27d4c0 [^]
2020-05-27 09:56 hgbot Checkin
2020-05-27 09:56 hgbot Note Added: 0120338
2020-05-27 09:56 hgbot Checkin
2020-05-27 09:56 hgbot Note Added: 0120339
2020-05-28 18:47 hgbot Checkin
2020-05-28 18:47 hgbot Note Added: 0120432
2020-06-05 08:45 vmromanos Review Assigned To => vmromanos
2020-06-05 08:45 vmromanos Note Added: 0120683
2020-06-05 08:45 vmromanos Status resolved => closed
2020-06-05 08:45 vmromanos Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker